import CurseForgeBase from './Base.js';
import CurseForgeClient from './Client.js';
import { CurseForgeFileDependency, CurseForgeFileHash, CurseForgeFileModule, CurseForgeFileRaw, CurseForgeFileReleaseType, CurseForgeFileStatus, CurseForgeSortableGameVersion } from './Types.js';
export default class CurseForgeFile extends CurseForgeBase {
    id: number;
    gameId: number;
    modId: number;
    isAvailable: boolean;
    displayName: string;
    fileName: string;
    releaseType: CurseForgeFileReleaseType;
    fileStatus: CurseForgeFileStatus;
    hashes: CurseForgeFileHash[];
    fileDate: Date;
    fileLength: number;
    downloadCount: number;
    fileSizeOnDisk: number | null;
    downloadUrl: string;
    gameVersions: string[];
    sortableGameVersions: CurseForgeSortableGameVersion[];
    dependencies: CurseForgeFileDependency[];
    exposeAsAlternative: boolean | null;
    parentProjectFileId: number | null;
    alternateFileId: number | null;
    isServerPack: boolean | null;
    serverPackFileId: number | null;
    isEarlyAccessContent: boolean | null;
    earlyAccessEndDate: Date | null;
    fileFingerprint: number;
    modules: CurseForgeFileModule[];
    constructor(client: CurseForgeClient, data: CurseForgeFileRaw);
    getChangelog(): Promise<string>;
    getDownloadURL(): Promise<string>;
}
