import CurseForgeBase from './Base.js';
import CurseForgeClient from './Client.js';
import CurseForgeFile from './File.js';
import { CurseForgeGetModDescriptionOptions, CurseForgeGetModFilesOptions } from './Options.js';
import { CurseForgeCategory, CurseForgeFileIndex, CurseForgeGetModResponseRaw, CurseForgeModAsset, CurseForgeModAuthor, CurseForgeModLinks, CurseForgeModStatus } from './Types.js';
export default class CurseForgeMod extends CurseForgeBase {
    id: number;
    gameId: number;
    name: string;
    slug: string;
    links: CurseForgeModLinks;
    summary: string;
    status: CurseForgeModStatus;
    downloadCount: number;
    isFeatured: boolean;
    primaryCategoryId: number;
    categories: CurseForgeCategory[];
    classId: number | null;
    authors: CurseForgeModAuthor[];
    logo: CurseForgeModAsset;
    screenshots: CurseForgeModAsset[];
    mainFileId: number;
    latestFiles: CurseForgeFile[];
    latestFilesIndexes: CurseForgeFileIndex[];
    latestEarlyAccessFilesIndexes: CurseForgeFileIndex[];
    dateCreated: Date;
    dateModified: Date;
    dateReleased: Date;
    allowModDistribution: boolean | null;
    gamePopularityRank: number;
    isAvailable: boolean;
    thumbsUpCount: number;
    rating: number | null;
    constructor(client: CurseForgeClient, data: CurseForgeGetModResponseRaw['data']);
    getDescription(options?: CurseForgeGetModDescriptionOptions): Promise<string>;
    getFile(fileId: number): Promise<CurseForgeFile>;
    getFiles(options?: CurseForgeGetModFilesOptions): Promise<import("./Client.js").CurseForgePaginatedResponse<CurseForgeFile>>;
}
