export interface CurseForgeApiResponseOfListOfMinecraftGameVersion {
    data: CurseForgeMinecraftGameVersion[];
}
export interface CurseForgeApiResponseOfListOfMinecraftModLoaderIndex {
    data: CurseForgeMinecraftModLoaderIndex[];
}
export interface CurseForgeApiResponseOfMinecraftGameVersion {
    data: CurseForgeMinecraftGameVersion;
}
export interface CurseForgeApiResponseOfMinecraftModLoaderVersion {
    data: CurseForgeMinecraftModLoaderVersion;
}
export interface CurseForgeCategory {
    id: number;
    gameId: number;
    name: string;
    slug: string;
    url: string;
    iconUrl: string;
    dateModified: Date;
    isClass: boolean | null;
    classId: number | null;
    parentCategoryId: number | null;
    displayIndex: number | null;
}
export declare enum CurseForgeCoreApiStatus {
    Private = 1,
    Public = 2
}
export declare enum CurseForgeCoreStatus {
    Draft = 1,
    Test = 2,
    PendingReview = 3,
    Rejected = 4,
    Approved = 5,
    Live = 6
}
export interface CurseForgeFeaturedModsResponse {
    featured: CurseForgeModRaw[];
    popular: CurseForgeModRaw[];
    recentlyUpdated: CurseForgeModRaw[];
}
export interface CurseForgeFileRaw {
    id: number;
    gameId: number;
    modId: number;
    isAvailable: boolean;
    displayName: string;
    fileName: string;
    releaseType: CurseForgeFileReleaseType;
    fileStatus: CurseForgeFileStatus;
    hashes: CurseForgeFileHash[];
    fileDate: Date;
    fileLength: number;
    downloadCount: number;
    fileSizeOnDisk: number | null;
    downloadUrl: string;
    gameVersions: string[];
    sortableGameVersions: CurseForgeSortableGameVersion[];
    dependencies: CurseForgeFileDependency[];
    exposeAsAlternative: boolean | null;
    parentProjectFileId: number | null;
    alternateFileId: number | null;
    isServerPack: boolean | null;
    serverPackFileId: number | null;
    isEarlyAccessContent: boolean | null;
    earlyAccessEndDate: Date | null;
    fileFingerprint: number;
    modules: CurseForgeFileModule[];
}
export interface CurseForgeFileDependency {
    modId: number;
    relationType: CurseForgeFileRelationType;
}
export interface CurseForgeFileHash {
    value: string;
    algo: CurseForgeHashAlgo;
}
export interface CurseForgeFileIndex {
    gameVersion: string;
    fileId: number;
    filename: string;
    releaseType: CurseForgeFileReleaseType;
    gameVersionTypeId: number | null;
    modLoader: CurseForgeModLoaderType;
}
export interface CurseForgeFileModule {
    name: string;
    fingerprint: number;
}
export declare enum CurseForgeFileRelationType {
    EmbeddedLibrary = 1,
    OptionalDependency = 2,
    RequiredDependency = 3,
    Tool = 4,
    Incompatible = 5,
    Include = 6
}
export declare enum CurseForgeFileReleaseType {
    Release = 1,
    Beta = 2,
    Alpha = 3
}
export declare enum CurseForgeFileStatus {
    Processing = 1,
    ChangesRequired = 2,
    UnderReview = 3,
    Approved = 4,
    Rejected = 5,
    MalwareDetected = 6,
    Deleted = 7,
    Archived = 8,
    Testing = 9,
    Released = 10,
    ReadyForReview = 11,
    Deprecated = 12,
    Baking = 13,
    AwaitingPublishing = 14,
    FailedPublishing = 15
}
export interface CurseForgeFingerprintFuzzyMatchRaw {
    id: number;
    file: CurseForgeFileRaw;
    latestFiles: CurseForgeFileRaw[];
    fingerprints: number[];
}
export interface CurseForgeFingerprintFuzzyMatchResult {
    fuzzyMatches: CurseForgeFingerprintFuzzyMatchRaw[];
}
export interface CurseForgeFingerprintMatchRaw {
    id: number;
    file: CurseForgeFileRaw;
    latestFiles: CurseForgeFileRaw[];
}
export interface CurseForgeFingerprintsMatchesResult {
    isCacheBuilt: boolean;
    exactMatches: CurseForgeFingerprintMatchRaw[];
    exactFingerprints: number[];
    partialMatches: CurseForgeFingerprintMatchRaw[];
    partialMatchFingerprints: object;
    additionalProperties: number[];
    installedFingerprints: number[];
    unmatchedFingerprints: number[];
}
export interface CurseForgeFolderFingerprint {
    foldername: string;
    fingerprints: number[];
}
export interface CurseForgeGameRaw {
    id: number;
    name: string;
    slug: string;
    dateModified: Date;
    assets: CurseForgeGameAssets;
    status: CurseForgeCoreStatus;
    apiStatus: CurseForgeCoreApiStatus;
}
export interface CurseForgeGameAssets {
    iconUrl: string;
    tileUrl: string;
    coverUrl: string;
}
export interface CurseForgeGameVersion {
    id: number;
    slug: string;
    name: string;
}
export interface CurseForgeGameVersionsByType {
    type: number;
    versions: string[];
}
export interface CurseForgeGameVersionsByType2 {
    type: number;
    versions: CurseForgeGameVersion[];
}
export declare enum CurseForgeGameVersionStatus {
    Approved = 1,
    Deleted = 2,
    New = 3
}
export interface CurseForgeGameVersionType {
    id: number;
    gameId: number;
    name: string;
    slug: string;
    isSyncable: boolean;
    status: CurseForgeGameVersionTypeStatus;
}
export declare enum CurseForgeGameVersionTypeStatus {
    Normal = 1,
    Deleted = 2
}
export interface CurseForgeGetCategoriesResponseRaw {
    data: CurseForgeCategory[];
}
export interface CurseForgeGetFeaturedModsResponseRaw {
    data: CurseForgeFeaturedModsResponse;
}
export interface CurseForgeGetFilesResponseRaw {
    data: CurseForgeFileRaw[];
}
export interface CurseForgeGetFingerprintMatchesResponseRaw {
    data: CurseForgeFingerprintsMatchesResult;
}
export interface CurseForgeGetFingerprintsFuzzyMatchesResponseRaw {
    data: CurseForgeFingerprintFuzzyMatchResult;
}
export interface CurseForgeGetGameResponseRaw {
    data: CurseForgeGameRaw;
}
export interface CurseForgeGetGamesResponseRaw {
    data: CurseForgeGameRaw[];
    pagination: CurseForgePagination;
}
export interface CurseForgeGetModFileResponseRaw {
    data: CurseForgeFileRaw;
}
export interface CurseForgeGetModFilesResponseRaw {
    data: CurseForgeFileRaw[];
    pagination: CurseForgePagination;
}
export interface CurseForgeGetModResponseRaw {
    data: CurseForgeModRaw;
}
export interface CurseForgeGetModsResponseRaw {
    data: CurseForgeModRaw[];
}
export interface CurseForgeGetVersionTypesResponseRaw {
    data: CurseForgeGameVersionType[];
}
export interface CurseForgeGetVersionsResponseRaw_V1 {
    data: CurseForgeGameVersionsByType[];
}
export interface CurseForgeGetVersionsResponseRaw_V2 {
    data: CurseForgeGameVersionsByType2[];
}
export interface CurseForgeGetFeaturedModsRequestBody {
    gameId: number;
    excludedModIds: number[];
    gameVersionTypeId: number | null;
}
export interface CurseForgeGetFingerprintMatchesRequestBody {
    fingerprints: number[];
}
export interface CurseForgeGetFuzzyMatchesRequestBody {
    gameId: number;
    fingerprints: CurseForgeFolderFingerprint[];
}
export interface CurseForgeGetModFilesRequestBody {
    fileIds: number[];
}
export interface CurseForgeGetModsByIdsListRequestBody {
    modIds: number[];
    filterPcOnly: boolean | null;
}
export declare enum CurseForgeHashAlgo {
    Sha1 = 1,
    Md5 = 2
}
export interface CurseForgeMinecraftGameVersion {
    id: number;
    gameVersionId: number;
    versionString: string;
    jarDownloadUrl: string;
    jsonDownloadUrl: string;
    approved: boolean;
    dateModified: Date;
    gameVersionTypeId: number;
    gameVersionStatus: CurseForgeGameVersionStatus;
    gameVersionTypeStatus: CurseForgeGameVersionTypeStatus;
}
export interface CurseForgeMinecraftModLoaderIndex {
    name: string;
    gameVersion: string;
    latest: boolean;
    recommended: boolean;
    dateModified: Date;
    type: CurseForgeModLoaderType;
}
export interface CurseForgeMinecraftModLoaderVersion {
    id: number;
    gameVersionId: number;
    minecraftGameVersionId: number;
    forgeVersion: string;
    name: string;
    type: CurseForgeModLoaderType;
    downloadUrl: string;
    filename: string;
    installMethod: CurseForgeModLoaderInstallMethod;
    latest: boolean;
    recommended: boolean;
    approved: boolean;
    dateModified: Date;
    mavenVersionString: string;
    versionJson: string;
    librariesInstallLocation: string;
    minecraftVersion: string;
    additionalFilesJson: string;
    modLoaderGameVersionId: number;
    modLoaderGameVersionTypeId: number;
    modLoaderGameVersionStatus: CurseForgeGameVersionStatus;
    modLoaderGameVersionTypeStatus: CurseForgeGameVersionTypeStatus;
    mcGameVersionId: number;
    mcGameVersionTypeId: number;
    mcGameVersionStatus: CurseForgeGameVersionStatus;
    mcGameVersionTypeStatus: CurseForgeGameVersionTypeStatus;
    installProfileJson: string;
}
export interface CurseForgeModRaw {
    id: number;
    gameId: number;
    name: string;
    slug: string;
    links: CurseForgeModLinks;
    summary: string;
    status: CurseForgeModStatus;
    downloadCount: number;
    isFeatured: boolean;
    primaryCategoryId: number;
    categories: CurseForgeCategory[];
    classId: number | null;
    authors: CurseForgeModAuthor[];
    logo: CurseForgeModAsset;
    screenshots: CurseForgeModAsset[];
    mainFileId: number;
    latestFiles: CurseForgeFileRaw[];
    latestFilesIndexes: CurseForgeFileIndex[];
    latestEarlyAccessFilesIndexes: CurseForgeFileIndex[];
    dateCreated: Date;
    dateModified: Date;
    dateReleased: Date;
    allowModDistribution: boolean | null;
    gamePopularityRank: number;
    isAvailable: boolean;
    thumbsUpCount: number;
    rating: number | null;
}
export interface CurseForgeModAsset {
    id: number;
    modId: number;
    title: string;
    description: string;
    thumbnailUrl: string;
    url: string;
}
export interface CurseForgeModAuthor {
    id: number;
    name: string;
    url: string;
}
export interface CurseForgeModLinks {
    websiteUrl: string;
    wikiUrl: string;
    issuesUrl: string | null;
    sourceUrl: string | null;
}
export declare enum CurseForgeModLoaderInstallMethod {
    ForgeInstaller = 1,
    ForgeJarInstall = 2,
    ForgeInstaller_v2 = 3
}
export declare enum CurseForgeModLoaderType {
    Any = 0,
    Forge = 1,
    Cauldron = 2,
    LiteLoader = 3,
    Fabric = 4,
    Quilt = 5,
    NeoForge = 6
}
export declare enum CurseForgeModsSearchSortField {
    Featured = 1,
    Popularity = 2,
    LastUpdated = 3,
    Name = 4,
    Author = 5,
    TotalDownloads = 6,
    Category = 7,
    GameVersion = 8,
    EarlyAccess = 9,
    FeaturedReleased = 10,
    ReleasedDate = 11,
    Rating = 12
}
export declare enum CurseForgeModStatus {
    New = 1,
    ChangesRequired = 2,
    UnderSoftReview = 3,
    Approved = 4,
    Rejected = 5,
    ChangesMade = 6,
    Inactive = 7,
    Abandoned = 8,
    Deleted = 9,
    UnderReview = 10
}
export interface CurseForgePagination {
    index: number;
    pageSize: number;
    resultCount: number;
    totalCount: number;
}
export interface CurseForgeSearchModsResponseRaw {
    data: CurseForgeModRaw[];
    pagination: CurseForgePagination;
}
export interface CurseForgeSortableGameVersion {
    gameVersionName: string;
    gameVersionPadded: string;
    gameVersion: string;
    gameVersionReleaseDate: Date;
    gameVersionTypeId: number | null;
}
export declare enum CurseForgeSortOrder {
    Ascending = "asc",
    Descending = "desc"
}
export interface CurseForgeStringResponseRaw {
    data: string;
}
